Package com.ocient.cli.extract

# Enum Class ExtractConfiguration.Compression

java.lang.Object
java.lang.Enum<ExtractConfiguration.Compression>
com.ocient.cli.extract.ExtractConfiguration.Compression

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtractConfiguration.Compression>`, `Constable`

Enclosing class:
  `ExtractConfiguration`

public static enum ExtractConfiguration.Compression extends Enum<ExtractConfiguration.Compression>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BZIP2`
`GZIP`
`NONE`
`XZ`

## Method Summary

Modifier and Type
Method
Description
`static ExtractConfiguration.Compression`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExtractConfiguration.Compression[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ExtractConfiguration.Compression NONE

### GZIP

public static final ExtractConfiguration.Compression GZIP

### BZIP2

public static final ExtractConfiguration.Compression BZIP2

### XZ

public static final ExtractConfiguration.Compression XZ

## Method Details

### values

public static ExtractConfiguration.Compression[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExtractConfiguration.Compression valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null